Summary:	Tea4CUPS is the Swiss Army's knife of the CUPS Administrator
Summary(pl.UTF-8):	Sterownik CUPS pozwalający przechwycić zadanie i przetworzyć
Name:		tea4cups
Version:	3.12.r3565
Release:	1
License:	GPL v2
Group:		Applications/Printing
# NOTE: from svn:
# svn co http://svn.pykota.com/tea4cups/tags/3.12/
# svn co http://svn.pykota.com/tea4cups/trunk
Source0:	%{name}-%{version}.tar.bz2
# Source0-md5:	fc72bc5243f25a4cf40040a1ad83618f
URL:		http://www.pykota.com/software/tea4cups
BuildRequires:	cups-devel
BuildRequires:	rpm-pythonprov
BuildRequires:	sed >= 4.0
Requires:	cups >= 1:1.2.0
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_sysconfdir	%(cups-config --serverroot 2>/dev/null)
%define		_libdir		%(cups-config --serverbin 2>/dev/null)

%description
Tea4CUPS is a CUPS backend wrapper which can capture print data before
it is sent to a printer and process, duplicate or dispatch it in a
number of ways.

%description -l pl.UTF-8
Sterownik CUPS pozwalający przechwycić zadanie przed wysłaniem do
drukarki żeby przetworzyć, zduplikować lub przekierować na dowolny
sposób.

%prep
%setup -q
%{__sed} -i -e '1s,#!.*python,#!%{__python},' %{name}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_sysconfdir},%{_libdir}/backend}
install -p %{name} $RPM_BUILD_ROOT%{_libdir}/backend/%{name}
cp -a %{name}.conf $RPM_BUILD_ROOT%{_sysconfdir}/%{name}.conf

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc CREDITS README NEWS TODO
%attr(644,lp,root) %config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/%{name}.conf
%attr(700,root,root) %{_libdir}/backend/%{name}
%changelog
* Mon Nov 25 2013 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/tea4cups.git;a=log;h=master

* Mon Nov 25 2013 Jan Rękorajski <baggins@pld-linux.org> 7914520
- updated to current svn trunk
- set backend executable permissions to 700, as per README, it must be
  able to freely access cups queue

* Thu Jan 07 2010 Elan Ruusamäe <glen@pld-linux.org> 5dcd93c
- spelling (you can't say datas, but have to refer in singular to data)
- summary from program itself
- rpm autodep for python interpreter

* Thu Jan 07 2010 Elan Ruusamäe <glen@pld-linux.org> 316d233
- query cups-config for directories

* Thu Jan 07 2010 sparky <sparky@pld-linux.org> d9f6b3b
- noarch
- no need to clean .svn dirs, only single files are copied
- COPYING is just a copy od GPL v2, not needed
- config file in /etc/cups

* Thu Jan 07 2010 Marek Marczykowski <marmarek@pld-linux.org> af30f2e
- adapterized

* Thu Jan 07 2010 Marek Marczykowski <marmarek@pld-linux.org> 27d9d82
- initial version

